%define major 0
%define api   0.3
%define libname   %mklibname cloudproviders %{major}
%define girname   %mklibname cloudproviders-gir %{version}
%define develname %mklibname cloudproviders -d

%define url_ver   %(echo %{version}|cut -d. -f1,2)

Name:           libcloudproviders
Version:        0.3.1
Release:        %mkrel 1
Summary:        Library for integration of cloud storage providers
Group:          System/Libraries
License:        LGPLv3+
URL:            https://gitlab.gnome.org/World/libcloudproviders
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  systemd
BuildRequires:  vala-tools
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Cross desktop library for desktop integration of cloud storage providers and sync tools.

%package -n %{libname}
Summary:    Library for integration of cloud storage providers
Group:      System/Libraries

%description -n %{libname}
This package contains the library files required for running services built
using %{name}.

%package -n %{girname}
Summary:    GObject Introspection interface description for CloudProviders
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}
Conflicts:  %{_lib}cloudproviders-devel < 0.3.0-3

%description -n %{girname}
GObject Introspection interface description for CloudProviders.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true
%meson_build

%install
%meson_install

%files -n %{libname}
%doc LICENSE
%doc CHANGELOG README.md
%{_libdir}/libcloudproviders.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/CloudProviders-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/libcloudproviders/
%{_includedir}/cloudproviders/
%{_libdir}/pkgconfig/cloudproviders.pc
%{_libdir}/libcloudproviders.so
%{_datadir}/gir-1.0/CloudProviders-%{api}.gir
%{_datadir}/vala/vapi/cloudproviders.deps
%{_datadir}/vala/vapi/cloudproviders.vapi


%changelog
* Tue Jun 09 2020 ovitters <ovitters> 0.3.1-1.mga8
+ Revision: 1591216
- new version 0.3.1
- fix source url

* Sat Feb 15 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1528145
- Mageia 8 Mass Rebuild

* Sun Aug 11 2019 wally <wally> 0.3.0-4.mga8
+ Revision: 1428712
- make devel pkg to require lib and gir pkgs

* Sat Aug 10 2019 tv <tv> 0.3.0-3.mga8
+ Revision: 1428641
- fix summary-ended-with-dot
+ wally <wally>
- split out gir typelib
- tag docs as such

* Wed Apr 17 2019 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1392708
- Rebuild with meson 0.50.1

* Thu Mar 07 2019 guillomovitch <guillomovitch> 0.3.0-1.mga7
+ Revision: 1372351
- imported package libcloudproviders

